import { Component, OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { NgbActiveModal, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { AlertService, EventManager } from 'ng-jhipster';

import { BlockTx } from './block-tx.model';
import { BlockTxPopupService } from './block-tx-popup.service';
import { BlockTxService } from './block-tx.service';

@Component({
    selector: 'jhi-block-tx-delete-dialog',
    templateUrl: './block-tx-delete-dialog.component.html'
})
export class BlockTxDeleteDialogComponent {

    blockTx: BlockTx;

    constructor(
        private blockTxService: BlockTxService,
        public activeModal: NgbActiveModal,
        private alertService: AlertService,
        private eventManager: EventManager
    ) {
    }

    clear() {
        this.activeModal.dismiss('cancel');
    }

    confirmDelete(id: number) {
        this.blockTxService.delete(id).subscribe((response) => {
            this.eventManager.broadcast({
                name: 'blockTxListModification',
                content: 'Deleted an blockTx'
            });
            this.activeModal.dismiss(true);
        });
        this.alertService.success('beanHospitalApp.blockTx.deleted', { param : id }, null);
    }
}

@Component({
    selector: 'jhi-block-tx-delete-popup',
    template: ''
})
export class BlockTxDeletePopupComponent implements OnInit, OnDestroy {

    modalRef: NgbModalRef;
    routeSub: any;

    constructor(
        private route: ActivatedRoute,
        private blockTxPopupService: BlockTxPopupService
    ) {}

    ngOnInit() {
        this.routeSub = this.route.params.subscribe((params) => {
            this.modalRef = this.blockTxPopupService
                .open(BlockTxDeleteDialogComponent, params['id']);
        });
    }

    ngOnDestroy() {
        this.routeSub.unsubscribe();
    }
}
