import { Component, OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Subscription } from 'rxjs/Rx';
import { EventManager  } from 'ng-jhipster';

import { BlockTx } from './block-tx.model';
import { BlockTxService } from './block-tx.service';

@Component({
    selector: 'jhi-block-tx-detail',
    templateUrl: './block-tx-detail.component.html'
})
export class BlockTxDetailComponent implements OnInit, OnDestroy {

    blockTx: BlockTx;
    password: string;
    private subscription: Subscription;
    private eventSubscriber: Subscription;

    constructor(
        private eventManager: EventManager,
        private blockTxService: BlockTxService,
        private route: ActivatedRoute
    ) {
    }

    ngOnInit() {
        this.subscription = this.route.params.subscribe((params) => {
            this.load(params['id']);
        });
        this.registerChangeInBlockTxes();
    }

    load(id) {
        this.blockTxService.find(id).subscribe((blockTx) => {
            this.blockTx = blockTx;
        });
    }
    previousState() {
        window.history.back();
    }

    ngOnDestroy() {
        this.subscription.unsubscribe();
        this.eventManager.destroy(this.eventSubscriber);
    }

    registerChangeInBlockTxes() {
        this.eventSubscriber = this.eventManager.subscribe(
            'blockTxListModification',
            (response) => this.load(this.blockTx.id)
        );
    }
}
