import { Injectable, Component } from '@angular/core';
import { Router } from '@angular/router';
import { NgbModal, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { DatePipe } from '@angular/common';
import { BlockTx } from './block-tx.model';
import { BlockTxService } from './block-tx.service';
@Injectable()
export class BlockTxPopupService {
    private isOpen = false;
    constructor(
        private datePipe: DatePipe,
        private modalService: NgbModal,
        private router: Router,
        private blockTxService: BlockTxService

    ) {}

    // memo(component: Component, id?: number | any): NgbModalRef {
    //     if (this.isOpen) {
    //         return;
    //     }
    //     this.isOpen = true;
    //
    //     if (id) {
    //         this.blockTxService.find(id).subscribe((blockTx) => {
    //             blockTx.txTime = this.datePipe
    //                 .transform(blockTx.txTime, 'yyyy-MM-ddThh:mm');
    //             this.blockTxModalRef(component, blockTx);
    //             this.blockTxService.searchMemo(blockTx.memo, 'admin').subscribe((memo) => {
    //                 blockTx.memoMsg = JSON.stringify(JSON.parse(memo), null, 2);
    //             });
    //         });
    //     } else {
    //         return this.blockTxModalRef(component, new BlockTx());
    //     }
    // }

    open(component: Component, id?: number | any): NgbModalRef {
        if (this.isOpen) {
            return;
        }
        this.isOpen = true;

        if (id) {
            this.blockTxService.find(id).subscribe((blockTx) => {
                blockTx.txTime = this.datePipe
                    .transform(blockTx.txTime, 'yyyy-MM-ddThh:mm');
                this.blockTxModalRef(component, blockTx);
            });
        } else {
            return this.blockTxModalRef(component, new BlockTx());
        }
    }

    blockTxModalRef(component: Component, blockTx: BlockTx): NgbModalRef {
        const modalRef = this.modalService.open(component, { size: 'lg', backdrop: 'static'});
        modalRef.componentInstance.blockTx = blockTx;
        modalRef.result.then((result) => {
            this.router.navigate([{ outlets: { popup: null }}], { replaceUrl: true });
            this.isOpen = false;
        }, (reason) => {
            this.router.navigate([{ outlets: { popup: null }}], { replaceUrl: true });
            this.isOpen = false;
        });
        return modalRef;
    }
}
