import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { CommonModule } from '@angular/common';
import { InfiniteScrollModule } from 'ngx-infinite-scroll';
import { NgJhipsterModule } from 'ng-jhipster';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { UserRouteAccessService } from '../../../src/main/webapp/app/shared';

import {
    BlockTxService,
    BlockTxPopupService,
    BlockTxComponent,
    BlockTxDetailComponent,
    BlockTxDialogComponent,
    BlockTxMemoComponent,
    BlockTxMemoPopupComponent,
    BlockTxPopupComponent,
    BlockTxDeletePopupComponent,
    BlockTxDeleteDialogComponent,
    blockTxRoute,
    blockTxPopupRoute,
    BlockTxResolvePagingParams,
} from './';
import {BeanDRGsSharedModule} from '../../../src/main/webapp/app/shared/shared.module';

const ENTITY_STATES = [
    ...blockTxRoute,
    ...blockTxPopupRoute,
];

@NgModule({
    imports: [
        BeanDRGsSharedModule,
        RouterModule.forRoot(ENTITY_STATES, { useHash: true })
    ],
    declarations: [
        BlockTxComponent,
        BlockTxDetailComponent,
        BlockTxDialogComponent,
        BlockTxDeleteDialogComponent,
        BlockTxPopupComponent,
        BlockTxDeletePopupComponent,
        BlockTxMemoComponent,
        BlockTxMemoPopupComponent,
    ],
    entryComponents: [
        BlockTxComponent,
        BlockTxDialogComponent,
        BlockTxPopupComponent,
        BlockTxDeleteDialogComponent,
        BlockTxDeletePopupComponent,
        BlockTxMemoComponent,
        BlockTxMemoPopupComponent,
    ],
    providers: [
        BlockTxService,
        BlockTxPopupService,
        BlockTxResolvePagingParams,
        UserRouteAccessService
    ],
    schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class BianjieBlockTxModule {}
