import { Component, OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { NgbActiveModal, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { AlertService, EventManager } from 'ng-jhipster';

import { SvcBind } from './svc-bind.model';
import { SvcBindPopupService } from './svc-bind-popup.service';
import { SvcBindService } from './svc-bind.service';

@Component({
    selector: 'jhi-svc-bind-delete-dialog',
    templateUrl: './svc-bind-delete-dialog.component.html'
})
export class SvcBindDeleteDialogComponent {

    svcBind: SvcBind;

    constructor(
        private svcBindService: SvcBindService,
        public activeModal: NgbActiveModal,
        private alertService: AlertService,
        private eventManager: EventManager
    ) {
    }

    clear() {
        this.activeModal.dismiss('cancel');
    }

    confirmDelete(id: number) {
        this.svcBindService.delete(id).subscribe((response) => {
            this.eventManager.broadcast({
                name: 'svcBindListModification',
                content: 'Deleted an svcBind'
            });
            this.activeModal.dismiss(true);
        });
        this.alertService.success('BeanDRGsApp.svcBind.deleted', { param : id }, null);
    }
}

@Component({
    selector: 'jhi-svc-bind-delete-popup',
    template: ''
})
export class SvcBindDeletePopupComponent implements OnInit, OnDestroy {

    modalRef: NgbModalRef;
    routeSub: any;

    constructor(
        private route: ActivatedRoute,
        private svcBindPopupService: SvcBindPopupService
    ) {}

    ngOnInit() {
        this.routeSub = this.route.params.subscribe((params) => {
            this.modalRef = this.svcBindPopupService
                .open(SvcBindDeleteDialogComponent, params['id']);
        });
    }

    ngOnDestroy() {
        this.routeSub.unsubscribe();
    }
}
