import { Component, OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Subscription } from 'rxjs/Rx';
import { EventManager  } from 'ng-jhipster';

import { SvcBind } from './svc-bind.model';
import { SvcBindService } from './svc-bind.service';

@Component({
    selector: 'jhi-svc-bind-detail',
    templateUrl: './svc-bind-detail.component.html'
})
export class SvcBindDetailComponent implements OnInit, OnDestroy {

    svcBind: SvcBind;
    private subscription: Subscription;
    private eventSubscriber: Subscription;

    constructor(
        private eventManager: EventManager,
        private svcBindService: SvcBindService,
        private route: ActivatedRoute
    ) {
    }

    ngOnInit() {
        this.subscription = this.route.params.subscribe((params) => {
            this.load(params['id']);
        });
        this.registerChangeInSvcBinds();
    }

    load(id) {
        this.svcBindService.find(id).subscribe((svcBind) => {
            this.svcBind = svcBind;
        });
    }
    previousState() {
        window.history.back();
    }

    ngOnDestroy() {
        this.subscription.unsubscribe();
        this.eventManager.destroy(this.eventSubscriber);
    }

    registerChangeInSvcBinds() {
        this.eventSubscriber = this.eventManager.subscribe(
            'svcBindListModification',
            (response) => this.load(this.svcBind.id)
        );
    }
}
