import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { CommonModule } from '@angular/common';
import { InfiniteScrollModule } from 'ngx-infinite-scroll';
import { NgJhipsterModule } from 'ng-jhipster';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';

import {
    SvcBindService,
    SvcBindPopupService,
    SvcBindComponent,
    SvcBindDetailComponent,
    SvcBindDialogComponent,
    SvcBindPopupComponent,
    SvcBindDeletePopupComponent,
    SvcBindDeleteDialogComponent,
    svcBindRoute,
    svcBindPopupRoute,
} from './';
import {BeanDRGsSharedModule} from '../../../src/main/webapp/app/shared/shared.module';

const ENTITY_STATES = [
    ...svcBindRoute,
    ...svcBindPopupRoute,
];

@NgModule({
    imports: [
        BeanDRGsSharedModule,
        RouterModule.forRoot(ENTITY_STATES, { useHash: true })
    ],
    declarations: [
        SvcBindComponent,
        SvcBindDetailComponent,
        SvcBindDialogComponent,
        SvcBindDeleteDialogComponent,
        SvcBindPopupComponent,
        SvcBindDeletePopupComponent,
    ],
    entryComponents: [
        SvcBindComponent,
        SvcBindDialogComponent,
        SvcBindPopupComponent,
        SvcBindDeleteDialogComponent,
        SvcBindDeletePopupComponent,
    ],
    providers: [
        SvcBindService,
        SvcBindPopupService,
    ],
    schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class BianjieSvcBindModule {}
