import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot, Routes, CanActivate } from '@angular/router';

import { UserRouteAccessService } from '../../../src/main/webapp/app/shared';
import { PaginationUtil } from 'ng-jhipster';

import { SvcBindComponent } from './svc-bind.component';
import { SvcBindDetailComponent } from './svc-bind-detail.component';
import { SvcBindPopupComponent } from './svc-bind-dialog.component';
import { SvcBindDeletePopupComponent } from './svc-bind-delete-dialog.component';

import { Principal } from '../../../src/main/webapp/app/shared';

export const svcBindRoute: Routes = [
    {
        path: 'svc-bind',
        component: SvcBindComponent,
        data: {
            authorities: ['ROLE_USER'],
            pageTitle: 'BeanDRGsApp.svcBind.home.title'
        },
        canActivate: [UserRouteAccessService]
    }, {
        path: 'svc-bind/:id',
        component: SvcBindDetailComponent,
        data: {
            authorities: ['ROLE_USER'],
            pageTitle: 'BeanDRGsApp.svcBind.home.title'
        },
        canActivate: [UserRouteAccessService]
    }
];

export const svcBindPopupRoute: Routes = [
    {
        path: 'svc-bind-new',
        component: SvcBindPopupComponent,
        data: {
            authorities: ['ROLE_USER'],
            pageTitle: 'BeanDRGsApp.svcBind.home.title'
        },
        canActivate: [UserRouteAccessService],
        outlet: 'popup'
    },
    {
        path: 'svc-bind/:id/edit',
        component: SvcBindPopupComponent,
        data: {
            authorities: ['ROLE_USER'],
            pageTitle: 'BeanDRGsApp.svcBind.home.title'
        },
        canActivate: [UserRouteAccessService],
        outlet: 'popup'
    },
    {
        path: 'svc-bind/:id/delete',
        component: SvcBindDeletePopupComponent,
        data: {
            authorities: ['ROLE_USER'],
            pageTitle: 'BeanDRGsApp.svcBind.home.title'
        },
        canActivate: [UserRouteAccessService],
        outlet: 'popup'
    }
];
