import { Component, OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { NgbActiveModal, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { AlertService, EventManager } from 'ng-jhipster';

import { SvcDef } from './svc-def.model';
import { SvcDefPopupService } from './svc-def-popup.service';
import { SvcDefService } from './svc-def.service';

@Component({
    selector: 'jhi-svc-def-delete-dialog',
    templateUrl: './svc-def-delete-dialog.component.html'
})
export class SvcDefDeleteDialogComponent {

    svcDef: SvcDef;

    constructor(
        private svcDefService: SvcDefService,
        public activeModal: NgbActiveModal,
        private alertService: AlertService,
        private eventManager: EventManager
    ) {
    }

    clear() {
        this.activeModal.dismiss('cancel');
    }

    confirmDelete(id: number) {
        this.svcDefService.delete(id).subscribe((response) => {
            this.eventManager.broadcast({
                name: 'svcDefListModification',
                content: 'Deleted an svcDef'
            });
            this.activeModal.dismiss(true);
        });
        this.alertService.success('BeanDRGsApp.svcDef.deleted', { param : id }, null);
    }
}

@Component({
    selector: 'jhi-svc-def-delete-popup',
    template: ''
})
export class SvcDefDeletePopupComponent implements OnInit, OnDestroy {

    modalRef: NgbModalRef;
    routeSub: any;

    constructor(
        private route: ActivatedRoute,
        private svcDefPopupService: SvcDefPopupService
    ) {}

    ngOnInit() {
        this.routeSub = this.route.params.subscribe((params) => {
            this.modalRef = this.svcDefPopupService
                .open(SvcDefDeleteDialogComponent, params['id']);
        });
    }

    ngOnDestroy() {
        this.routeSub.unsubscribe();
    }
}
