import { Injectable, Component } from '@angular/core';
import { Router } from '@angular/router';
import { NgbModal, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { DatePipe } from '@angular/common';
import { SvcDef } from './svc-def.model';
import { SvcDefService } from './svc-def.service';
@Injectable()
export class SvcDefPopupService {
    private isOpen = false;
    constructor(
        private datePipe: DatePipe,
        private modalService: NgbModal,
        private router: Router,
        private svcDefService: SvcDefService

    ) {}

    open(component: Component, id?: number | any): NgbModalRef {
        if (this.isOpen) {
            return;
        }
        this.isOpen = true;

        if (id) {
            this.svcDefService.find(id).subscribe((svcDef) => {
                svcDef.createtime = this.datePipe
                    .transform(svcDef.createtime, 'yyyy-MM-ddThh:mm');
                svcDef.updatetime = this.datePipe
                    .transform(svcDef.updatetime, 'yyyy-MM-ddThh:mm');
                this.svcDefModalRef(component, svcDef);
            });
        } else {
            return this.svcDefModalRef(component, new SvcDef());
        }
    }

    svcDefModalRef(component: Component, svcDef: SvcDef): NgbModalRef {
        const modalRef = this.modalService.open(component, { size: 'lg', backdrop: 'static'});
        modalRef.componentInstance.svcDef = svcDef;
        modalRef.result.then((result) => {
            this.router.navigate([{ outlets: { popup: null }}], { replaceUrl: true });
            this.isOpen = false;
        }, (reason) => {
            this.router.navigate([{ outlets: { popup: null }}], { replaceUrl: true });
            this.isOpen = false;
        });
        return modalRef;
    }
}
