import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { CommonModule } from '@angular/common';
import { InfiniteScrollModule } from 'ngx-infinite-scroll';
import { NgJhipsterModule } from 'ng-jhipster';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';

import {
    SvcDefService,
    SvcDefPopupService,
    SvcDefComponent,
    SvcDefDetailComponent,
    SvcDefDialogComponent,
    SvcDefPopupComponent,
    SvcDefDeletePopupComponent,
    SvcDefUpdatePopupComponent,
    SvcDefDeleteDialogComponent,
    SvcDefUpdateDialogComponent,
    svcDefRoute,
    svcDefPopupRoute,
    SvcDefResolvePagingParams,
} from './';
import {BeanDRGsSharedModule} from '../../../src/main/webapp/app/shared/shared.module';

const ENTITY_STATES = [
    ...svcDefRoute,
    ...svcDefPopupRoute,
];

@NgModule({
    imports: [
        BeanDRGsSharedModule,
        RouterModule.forRoot(ENTITY_STATES, { useHash: true })
    ],
    declarations: [
        SvcDefComponent,
        SvcDefDetailComponent,
        SvcDefDialogComponent,
        SvcDefDeleteDialogComponent,
        SvcDefUpdateDialogComponent,
        SvcDefPopupComponent,
        SvcDefDeletePopupComponent,
        SvcDefUpdatePopupComponent
    ],
    entryComponents: [
        SvcDefComponent,
        SvcDefDialogComponent,
        SvcDefPopupComponent,
        SvcDefDeleteDialogComponent,
        SvcDefUpdateDialogComponent,
        SvcDefDeletePopupComponent,
        SvcDefUpdatePopupComponent
    ],
    providers: [
        SvcDefService,
        SvcDefPopupService,
        SvcDefResolvePagingParams,
    ],
    schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class BianjieSvcDefModule {}
